openapi: 3.0.1
info:
  title: Sample
  description: This is the Open API's Specifications for a Sample Project
  version: 1.0.0
servers:
  - description: API Server
    url: https://www.progressoft.com/sample
  - url: /api/v1
paths:
  /otp:
    post:
      tags:
        - OTP
      summary: Create OTP
      description: Create OTP
      operationId: create.otp
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createOTP'
      responses:
        204:
          description: Successfully generated OTP
  /otp/verify:
    post:
      tags:
        - OTP
      summary: Verify OTP
      description: Verify OTP
      operationId: verify.otp
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verifyOTP'
      responses:
        204:
          description: Successfully verified OTP
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verifyOTPResponse'
        400:
          description: Invalid OTP
components:
  schemas:
    createOTP:
      title: Create OTP
      type: object
      properties:
        mobileNumber:
          type: string
        token:
          type: string
      required:
        - mobileNumber
        - caseId
    verifyOTP:
      title: Verify OTP
      type: object
      properties:
        mobileNumber:
          type: string
        otp:
          type: string
        token:
          type: string
      required:
        - mobileNumber
        - otp
        - token
    verifyOTPResponse:
      title: Verify OTP Response
      type: object
      properties:
        verificationToken:
          type: string
      required:
        - verificationToken